@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package snova with version v2r0p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_geomutils
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_snova_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_snova_path=%obuild_snova_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_PLATFORM%" == "" (
  IF "%OS%" == "" ECHO Environment variable OS not found. & GOTO obuild_return
  SET obuild_platform=%OS%
) ELSE (
  SET obuild_platform=%OBUILD_PLATFORM%
)

IF "%obuild_platform%" == "" (
  ECHO obuild_platform variable not defined.
  GOTO obuild_return
)

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=%obuild_platform%_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%" MKDIR "%obuild_snova_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%" MKDIR "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_snova_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_snova_path%\obuild\cpp\obuild_platform.cpp" 1> NUL
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_2
SET obuild_cxx_command=c++
:end_if_platform_2
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_command=c++
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_4
SET obuild_cxx_command=cxx
:end_if_platform_4
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_command=cl.exe
:end_if_platform_5
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_6
SET obuild_cxx_optimize=-O
:end_if_platform_6
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_optimize=-O
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
SET obuild_cxx_optimize=-O
:end_if_platform_8
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=/O2
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
SET obuild_cxx_debug=-g
:end_if_platform_10
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_debug=-g
:end_if_platform_11
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
SET obuild_cxx_debug=-g
:end_if_platform_12
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
SET obuild_cxx_options=-fPIC
:end_if_platform_14
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_15
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_geomutils_sh_16
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_geomutils_sh_16
:else_if_db_build_lib_geomutils_sh_16
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_geomutils_sh_16

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_geomutils_sh_17
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_geomutils_sh_17
:else_if_opt_build_lib_geomutils_sh_17
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_geomutils_sh_17



SET obuild_cxx_includes=/I"%obuild_snova_path%\source\GeomUtils\include"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
:end_if_platform_19
SET obuild_platform_result=

IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils" RMDIR /S /Q "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils"
IF NOT EXIST "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils" MKDIR "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\box_data.obj  /Tp"..\source\GeomUtils\src\box_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\cat_dictionary.obj  /Tp"..\source\GeomUtils\src\cat_dictionary.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\cylinder_data.obj  /Tp"..\source\GeomUtils\src\cylinder_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\geom_consts.obj  /Tp"..\source\GeomUtils\src\geom_consts.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\geom_data.obj  /Tp"..\source\GeomUtils\src\geom_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\geom_id.obj  /Tp"..\source\GeomUtils\src\geom_id.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\geom_locator.obj  /Tp"..\source\GeomUtils\src\geom_locator.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\geom_tools.obj  /Tp"..\source\GeomUtils\src\geom_tools.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\gnuplot_tools.obj  /Tp"..\source\GeomUtils\src\gnuplot_tools.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\shape_data.obj  /Tp"..\source\GeomUtils\src\shape_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\sphere_data.obj  /Tp"..\source\GeomUtils\src\sphere_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\string_tools.obj  /Tp"..\source\GeomUtils\src\string_tools.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

cd "%obuild_snova_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_geomutils\tube_data.obj  /Tp"..\source\GeomUtils\src\tube_data.cc" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_snova_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_cxx_linker_command=c++
:end_if_platform_33
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
SET obuild_cxx_linker_command=c++
:end_if_platform_34
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET obuild_cxx_linker_command=cxx
:end_if_platform_35
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
SET obuild_cxx_linker_command=link.exe
:end_if_platform_36
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET obuild_cxx_linker_debug=-g
:end_if_platform_37
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
SET obuild_cxx_linker_debug=-g
:end_if_platform_38
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
SET obuild_cxx_linker_debug=-g
:end_if_platform_39
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_40
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
SET obuild_cxx_linker_options=/nologo
:end_if_platform_41
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_geomutils_sh_42
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_geomutils_sh_42
:else_if_db_build_lib_geomutils_sh_42
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_geomutils_sh_42

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_geomutils_sh_43
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_geomutils_sh_43
:else_if_opt_build_lib_geomutils_sh_43
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_geomutils_sh_43

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
cd "%obuild_snova_path%\%obuild_dir_bin%"
IF EXIST .\lib_geomutils\tmp_objs DEL .\lib_geomutils\tmp_objs
FOR %%f IN (.\lib_geomutils\*.obj) DO ECHO %%f >> .\lib_geomutils\tmp_objs

REM # Create the archive library geomutils :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_geomutils\geomutils.arc @.\lib_geomutils\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_snova_path%\obuild\cpp\obuild_windef.c" 1> NUL
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_geomutils\tmp .\lib_geomutils\geomutils.arc 1> dumpbin_exe_error .\lib_geomutils\geomutils.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe geomutils < .\lib_geomutils\tmp > .\lib_geomutils\geomutils.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\geomutils.lib /def:.\lib_geomutils\geomutils.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\geomutils.dll DEL .\geomutils.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\geomutils.dll .\geomutils.exp .\lib_geomutils\geomutils.arc %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_snova_0%"
SET obuild_pwd_snova_0=
REM # Some cleanup :
IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils\tmp_objs" DEL "%obuild_snova_path%\%obuild_dir_bin%\lib_geomutils\tmp_objs"
IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\geomutils.exp" DEL "%obuild_snova_path%\%obuild_dir_bin%\geomutils.exp"

:obuild_return
ENDLOCAL
@ECHO ON
